﻿using Rhino.Geometry;
using System;
using System.Collections.Generic;
using System.Threading.Tasks;

namespace RhinoComputeCrash
{
    class Program
    {
        static void Main(string[] args)
        {
            Rhino.Compute.ComputeServer.WebAddress = $"http://localhost:6500";
            Console.WriteLine($"Testing RhinoCompute server at {Rhino.Compute.ComputeServer.WebAddress}");
            Parallel.For(0, 10,index => {
                List<Point3d> points = new List<Point3d>()
                {
                    new Point3d(0,0,0),
                    new Point3d(1,0,0),
                    new Point3d(3,0,0),
                    new Point3d(3,1,0)
                };
                var curve = Rhino.Compute.CurveCompute.CreateInterpolatedCurve(points, 3);
            });
        }
    }
}
